java.io.IOException: Cannot run program.............

I just got a arduino 101 and I downloaded the Arduino IDE program and have the driver installed on my computer, and installed the right add-ons, for the board manager, to have the code go to 101. I have sent the blink program, that comes in the examples, to see if it works but I get a error message, which I attached below. I looked at other forums and found you can fix it by installing a older version of IDE and running the arduino, but doesn’t work with the 101 because you need 1.6.7 version or newer. I have tried by using 1.6.0 but it said I needed 1.6.7 or new, and i tried the 1.6.7 version to see if this would work but i got the same problem I had when I used the 1.6.9 version. Any suggestion to fix this, so i can work on projects without get a different arduino?

-Thanks